<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrEnterprisePublicityLicenseMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrEnterprisePublicityLicense">
            <id property="licid" column="LICID" jdbcType="VARCHAR"/>
            <result property="pripid" column="PRIPID" jdbcType="VARCHAR"/>
            <result property="entname" column="ENTNAME" jdbcType="VARCHAR"/>
            <result property="regno" column="REGNO" jdbcType="VARCHAR"/>
            <result property="uniscid" column="UNISCID" jdbcType="VARCHAR"/>
            <result property="licno" column="LICNO" jdbcType="VARCHAR"/>
            <result property="licnameCn" column="LICNAME_CN" jdbcType="VARCHAR"/>
            <result property="valfrom" column="VALFROM" jdbcType="DATE"/>
            <result property="valto" column="VALTO" jdbcType="DATE"/>
            <result property="licanth" column="LICANTH" jdbcType="VARCHAR"/>
            <result property="licitem" column="LICITEM" jdbcType="VARCHAR"/>
            <result property="type" column="TYPE" jdbcType="VARCHAR"/>
            <result property="candate" column="CANDATE" jdbcType="DATE"/>
            <result property="equplecanrea" column="EQUPLECANREA" jdbcType="VARCHAR"/>
            <result property="revdate" column="REVDATE" jdbcType="DATE"/>
            <result property="sugrevreason" column="SUGREVREASON" jdbcType="VARCHAR"/>
            <result property="invaliddate" column="INVALIDDATE" jdbcType="DATE"/>
            <result property="invalidrea" column="INVALIDREA" jdbcType="VARCHAR"/>
            <result property="publicdate" column="PUBLICDATE" jdbcType="DATE"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        LICID,PRIPID,ENTNAME,
        REGNO,UNISCID,LICNO,
        LICNAME_CN,VALFROM,VALTO,
        LICANTH,LICITEM,TYPE,
        CANDATE,EQUPLECANREA,REVDATE,
        SUGREVREASON,INVALIDDATE,INVALIDREA,
        PUBLICDATE,S_EXT_DATATIME
    </sql>
</mapper>
